Bug 493232 - Review Request: redir - Redirect TCP connections
Review Request: redir - Redirect TCP connections
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-31 21:54 EDT by Itamar Reis Peixoto
Modified: 2009-09-24 00:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.2.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-07 11:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2009-03-31 21:54:43 EDT
Spec URL: http://ispbrasil.com.br/redir/redir.spec
SRPM URL: http://ispbrasil.com.br/redir/redir-2.2.1-1.fc11.src.rpm

a port redirector, used to forward incoming connections to somewhere else.

koji scratch build dist-f11 ---->
Comment 1 Orcan Ogetbil 2009-04-01 02:24:48 EDT
Not that you have to use any of them, but the Debian version of this package comes with quite a lot of fixes/patches. They have this packaged for quite a while and they have probably figured out what bugs it has. Did you have a look? Maybe you'll find something really useful.
Comment 2 Itamar Reis Peixoto 2009-04-01 07:05:08 EDT
for me there are no problems,I can apply all debian patches, I will include a new spec here soon, feel free to review it if you like.
Comment 3 Itamar Reis Peixoto 2009-04-01 16:51:09 EDT
new version with debian patches included.


koji scratch build ->

Comment 4 Orcan Ogetbil 2009-04-04 04:08:39 EDT
Hi, I went through the package. There are a few issues:

* Guidelines say:
 All patches should have an upstream bug link or comment. Since this project is pretty old I don't think it matters to send these patches upstream. But at least, you should briefly explain in the SPEC file what each of them does.

Ref: http://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

* COPYING file _must_ go to %doc

! CHANGES file can go to %doc

? There is a mod and a wrapper shell script in the contrib/ directory. Are they worth packaging?

! %attr(755,root,root) is redundant, can be removed

* gcc warnings: There are a couple of these warnings (gcc44):
   redir.c:496: warning: passing argument 3 of 'getsockname' from incompatible pointer type
   /usr/include/sys/socket.h:119: note: expected 'socklen_t * __restrict__' but argument is of type 'size_t *'

I'm sure these can be fixed easily.

* optflags are not passed during the linking phase. At the least "-g -Wall" should be passed. To be safe, you can add LDFLAGS="$RPM_OPT_FLAGS" to the end of the make line.
Comment 5 Itamar Reis Peixoto 2009-04-04 17:47:36 EDT
(In reply to comment #4)
> ? There is a mod and a wrapper shell script in the contrib/ directory. Are they
> worth packaging?

most people use redir standalone, I belive this script is not packaged it other distros too, I have  no plans to package it


koji scratch build dist-f11 ->

Comment 6 Orcan Ogetbil 2009-04-04 22:04:11 EDT
Thanks, everything seems fine, except now we have the rpmlint:
   redir.x86_64: W: file-not-utf8 /usr/share/doc/redir-2.2.1/CHANGES

This can be fixed with iconv. Please do that before you commit.

This package (redir) is APPROVED by oget
Comment 7 Itamar Reis Peixoto 2009-04-05 00:06:24 EDT
New Package CVS Request
Package Name: redir
Short Description: Redirect TCP connections
Owners: itamarjp
Branches: F-11 F-10 F-9
Comment 8 Orcan Ogetbil 2009-04-06 12:00:28 EDT
Uhm, one last little thing. Please update 15_deb_cosmetics.dpatch to point to the correct %doc location. Thanks.
Comment 9 Itamar Reis Peixoto 2009-04-06 12:29:19 EDT
(In reply to comment #8)
ok, I will do this before importing into cvs
Comment 10 Kevin Fenzi 2009-04-06 23:26:24 EDT
cvs done.
Comment 11 Fedora Update System 2009-04-07 06:46:37 EDT
redir-2.2.1-3.fc9 has been submitted as an update for Fedora 9.
Comment 12 Fedora Update System 2009-04-07 06:47:26 EDT
redir-2.2.1-3.fc10 has been submitted as an update for Fedora 10.
Comment 13 Fedora Update System 2009-04-07 11:47:52 EDT
redir-2.2.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-04-07 11:48:35 EDT
redir-2.2.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Itamar Reis Peixoto 2009-09-23 23:32:26 EDT
Package Change Request
Package Name: redir
New Branches: EL-4 EL-5
Owners: itamarjp
Comment 16 Kevin Fenzi 2009-09-24 00:41:17 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.